\name{cov.spatial}
\alias{cov.spatial}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Computes covariances for several types of correlation functions}
\description{
  Computes the covariances for pairs of points, given their separation distance.
  Can be see as a change of metric, from the \emph{euclidian distances} to
\emph{covariances}. This is an auxiliary function called by several
functions in the \code{geoR} library.
}
\usage{
cov.spatial(obj, cov.model=c("exponential", "matern", "gaussian",
            "spherical", "circular", "cubic", "wave",
            "powered.exponential", "cauchy", 
            "gneiting", "gneiting.matern", "pure.nugget"),
            cov.pars=stop("no cov.pars argument provived"), kappa)
}
%- maybe also `usage' for other objects documented here.
\arguments{
 \item{obj}{an object (vector or matrix) with distances.}
 \item{cov.model}{a string indicating the type of the correlation
   function. See below for options and expressions of the correlation functions.}
 \item{cov.pars}{a vector with 2 elements or a \emph{ns x 2} matrix with
the covariance parameters. The fist element (if a vector) or first
column (if a matrix) is the variance parameter \eqn{\sigma^2}. The
second element or column is the correlation function parameter
\eqn{\phi}.
If a matrix is provided, each row corresponds to the parameters of one
"structure". Models with several structures are sometimes called "nested
models" in the geostatistical literature REF HERE.}
 \item{kappa}{a value. Extra parameter for some correlation functions
(Ma\'{e}rn and poewred exponential).}
}
\details{ EXPRESSIONS OF THE CORRELATION FUNCTIONS HERE
}

\value{
  ~Describe the value returned
  If it is a LIST, use
  \item{comp1 }{Description of `comp1'}
  \item{comp2 }{Description of `comp2'}
  ...
}
\references{ }
\author{Paulo J. Ribeiro Jr. \email{<paulojus@est.ufpr.br>} \cr
  Peter J. Diggle \email{<p.diggle@lancaster.ac.uk>}.
}

\note{ ~~further notes~~ }

 ~Make other sections like WARNING with \section{WARNING }{....} ~

\seealso{\code{\link{varcov.spatial}}, \code{\link{likfit}}, \code{\link{krige.bayes}}, \code{\link{krige.conv}}, \code{\link{grf}}. }

\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	     or do  help(data=index)  for the standard data sets.

\keyword{spatial}%-- one or more ...





